gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.CrossingEvent

Contents

- Exported types
- Methods
  - getDetail
  - getFocus
  - getMode

Description

An event caused by a pointing device moving between surfaces.

Synopsis

- newtype CrossingEvent = CrossingEvent (ManagedPtr CrossingEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf CrossingEvent o) => IsCrossingEvent o
- toCrossingEvent :: (MonadIO m, IsCrossingEvent o) => o -> m CrossingEvent
- crossingEventGetDetail :: (HasCallStack, MonadIO m, IsCrossingEvent a) => a -> m NotifyType
- crossingEventGetFocus :: (HasCallStack, MonadIO m, IsCrossingEvent a) => a -> m Bool
- crossingEventGetMode :: (HasCallStack, MonadIO m, IsCrossingEvent a) => a -> m CrossingMode

# Exported types

newtype CrossingEvent Source #

Memory-managed wrapper type.

Constructors

CrossingEvent (ManagedPtr CrossingEvent) |

#### Instances

Instances details

Eq CrossingEvent Source # |
Instance details Defined in GI.Gdk.Objects.CrossingEvent Methods (==) :: CrossingEvent -> CrossingEvent -> Bool Source # (/=) :: CrossingEvent -> CrossingEvent -> Bool Source #
BoxedPtr CrossingEvent Source # |
Instance details Defined in GI.Gdk.Objects.CrossingEvent Methods boxedPtrCopy :: CrossingEvent -> IO CrossingEvent Source # boxedPtrFree :: CrossingEvent -> IO () Source #
ManagedPtrNewtype CrossingEvent Source # |
Instance details Defined in GI.Gdk.Objects.CrossingEvent Methods toManagedPtr :: CrossingEvent -> ManagedPtr CrossingEvent Source #
TypedObject CrossingEvent Source # |
Instance details Defined in GI.Gdk.Objects.CrossingEvent Methods glibType :: IO GType Source #
HasParentTypes CrossingEvent Source # |
Instance details Defined in GI.Gdk.Objects.CrossingEvent
type ParentTypes CrossingEvent Source # |
Instance details Defined in GI.Gdk.Objects.CrossingEvent type ParentTypes CrossingEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf CrossingEvent o) => IsCrossingEvent o Source #

Type class for types which can be safely cast to `CrossingEvent`, for instance with `toCrossingEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf CrossingEvent o) => IsCrossingEvent o Source # |
Instance details Defined in GI.Gdk.Objects.CrossingEvent

toCrossingEvent :: (MonadIO m, IsCrossingEvent o) => o -> m CrossingEvent Source #

Cast to `CrossingEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getDetail, getDevice, getDeviceTool, getDisplay, getEventSequence, getEventType, getFocus, getHistory, getMode, getModifierState, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.

## getDetail

crossingEventGetDetail Source #

Arguments

:: (HasCallStack, MonadIO m, IsCrossingEvent a) |
=> a | `event`: a crossing event
-> m NotifyType | Returns: the notify detail of `event`

Extracts the notify detail from a crossing event.

## getFocus

crossingEventGetFocus Source #

Arguments

:: (HasCallStack, MonadIO m, IsCrossingEvent a) |
=> a | `event`: a crossing event
-> m Bool | Returns: `True` if the surface is the focus surface

Checks if the `event` surface is the focus surface.

## getMode

crossingEventGetMode Source #

Arguments

:: (HasCallStack, MonadIO m, IsCrossingEvent a) |
=> a | `event`: a crossing event
-> m CrossingMode | Returns: the mode of `event`

Extracts the crossing mode from a crossing event.